/************************************************************************/
/* xad.h								*/
/*	This is the header file for the xad routines. It contains	*/
/* complete prototypes, etc.						*/
/*									*/
/* Chris Faigle								*/
/* Northeast Parallel Architectures Center				*/
/* cfaigle@npac.syr.edu							*/
/*									*/
/* Thanx: Dave Koester							*/
/*									*/
/* History:								*/
/*	June 5, 1993	CTF	Started.				*/
/*									*
/************************************************************************/

#ifndef	xad_H
#define	xad_H	1

/************************************************************************/
/*									*/
/* Definitions Section:							*/
/*									*/
/************************************************************************/

#ifndef	TRUE
#define	TRUE	1
#endif	TRUE

#ifndef	FALSE
#define	FALSE	0
#endif	FALSE

#ifndef	NULL
#define	NULL	0
#endif	NULL

/************************************************************************/
/* Valid Window Types:							*/
/************************************************************************/
#define	XAD_WT_8_HSV	1
#define	XAD_WT_8_RGB	2
#define	XAD_WT_8_GREY	3
#define	XAD_WT_8_RED	4
#define	XAD_WT_8_GREEN	5
#define	XAD_WT_8_BLUE	6
#define	XAD_WT_1_BW	7
#define	XAD_WT_1_WB	8

/************************************************************************/
/*									*/
/* Prototypes Section:							*/
/*									*/
/************************************************************************/

/************************************************************************/
/* User Routines:							*/
/************************************************************************/
#ifdef	NO_ANSI_PROTOTYPES
int xad_open_window();
int xad_dump_array();
int xad_close_window();
#else
int xad_open_window(int, int, int, int, int, char *);
int xad_dump_array(char *);
int xad_close_window();
#endif

/************************************************************************/
/* Internal Routines:							*/
/************************************************************************/

/* NOTE: the internal routine prototypes are directly in the xad.c file */
/*	and not in this file						*/

#endif	xad_H